StandardPipeline.StandardPipelineValveContext (Catalina Internal API Documentation)
Keywords: org.apache.catalina.core.StandardPipeline.StandardPipelineValveContext class

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.catalina.core
Class StandardPipeline.StandardPipelineValveContext

    java.lang.Object
      org.apache.catalina.core.StandardPipeline.StandardPipelineValveContext

All Implemented Interfaces:
  ValveContext

Enclosing class:
  StandardPipeline

protected class StandardPipeline.StandardPipelineValveContext
extends java.lang.Object
implements ValveContext

Field Summary
`protected int` | `stage`

Constructor Summary
`protected` | `StandardPipeline.StandardPipelineValveContext()`

Method Summary
`java.lang.String` | `getInfo()` Return descriptive information about this ValveContext implementation.
`void` | `invokeNext(Request request, Response response)` Cause the `invoke()` method of the next Valve that is part of the Pipeline currently being processed (if any) to be executed, passing on the specified request and response objects plus this `ValveContext` instance.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### stage

    protected int stage

Constructor Detail

### StandardPipeline.StandardPipelineValveContext

    protected StandardPipeline.StandardPipelineValveContext()

Method Detail

### getInfo

    public java.lang.String getInfo()

  Return descriptive information about this ValveContext implementation.

  Specified by:
    `getInfo` in interface `ValveContext`

### invokeNext

    public void invokeNext(Request request,
                           Response response)
                    throws java.io.IOException,
                           javax.servlet.ServletException

  Cause the `invoke()` method of the next Valve that is part of the Pipeline currently being processed (if any) to be executed, passing on the specified request and response objects plus this `ValveContext` instance. Exceptions thrown by a subsequently executed Valve (or a Filter or Servlet at the application level) will be passed on to our caller. If there are no more Valves to be executed, an appropriate ServletException will be thrown by this ValveContext.

  Specified by:
    `invokeNext` in interface `ValveContext`
  Parameters:
    `request` - The request currently being processed
    `response` - The response currently being created
  Throws:
    `java.io.IOException` - if thrown by a subsequent Valve, Filter, or Servlet
    `javax.servlet.ServletException` - if thrown by a subsequent Valve, Filter, or Servlet
    `javax.servlet.ServletException` - if there are no further Valves configured in the Pipeline currently being processed

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2002 Apache Software Foundation. All Rights Reserved.